#include <avr/io.h>
#include <util/delay.h>

#include "lcd.h"
#include "adc.h"

void showbar( uint8_t x )
{
    for( uint8_t i = 0; i < x; i++ )
        fprintf( stderr, "*" );
}

int main()
{
	static FILE lcd_stderr = FDEV_SETUP_STREAM( lcd_putchar, 0, _FDEV_SETUP_WRITE );
	stderr = &lcd_stderr;

    lcd_init();
    adc_init();

    while( 1 ) {
        lcd_clear_home();
        fprintf( stderr, "Echtzeitsysteme" );
        lcd_set_cursor( 16 );
        float v = ( float ) adc_read( 0 ) / 1023.0f;
        showbar( ( uint8_t ) ( v * 16.0f + 0.5f ) );
        _delay_ms( 200 );
    }


	return 0;
}
